Get Cost Rate Time Costs

Retrieve all time cost intervals for a given cost rate within the current mandant.

Request

  • Method: GET

  • Path: /api/dynamic_pricing/cost_rate_time_costs/{cost_rate_uuid}

Path parameters

Name

Type

Description

cost_rate_uuid

string

UUID of the cost rate to retrieve time costs for.

Query parameters

Optional:

Name

Type

Description

cost_rate_schedule_uuid

string

UUID of the cost rate schedule.

Example request

curl --location --request GET 'https://example.beenergised.cloud/api/dynamic_pricing/cost_rate_time_costs/<COST_RATE_UUID>?cost_rate_schedule_uuid=<COST_RATE_SCHEDULE_UUID>' \
--header 'x-api-token: <your_token>'

Response (200)

{
  "data": [
    {
      "uuid": "<TIME_COST_UUID>",
      "unit": 60,
      "price": 2.5
    }
  ]
}

Error responses

  • 404: Cost rate or schedule not found.

{
  "status": "error",
  "message": "Cost rate not found"
}

OR

{
  "status": "error",
  "message": "Cost rate schedule not found"
}
  • 500: Generic server error.

{
  "status": "error",
  "message": "Internal Server Error"
}